/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6000, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_limon1}", "click", function(sym, e) {
         sym.getSymbol("limon1").$("lemon_num").html("1");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_limon2}", "click", function(sym, e) {
         sym.getSymbol("limon2").$("lemon_num").html("2");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_limon3}", "click", function(sym, e) {
         sym.getSymbol("limon3").$("lemon_num").html("3");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_limon4}", "click", function(sym, e) {
         sym.getSymbol("limon4").$("lemon_num").html("4");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_limon5}", "click", function(sym, e) {
         sym.getSymbol("limon5").$("lemon_num").html("5");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_limon6}", "click", function(sym, e) {
         sym.getSymbol("limon6").$("lemon_num").html("6");

      });
      //Edge binding end

      

      

      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         //tipo de actividad
         sym.setVariable("tipoactividad", "input");
         //Variables de colores
         sym.setVariable("border", "2px double #cccccc");
         sym.setVariable("fondo", "rgba(255,255,255,0.50)");
         sym.setVariable("colorini", "#666666");
         sym.setVariable("colorok", "#666666");
         sym.setVariable("fondook","rgba(169,200,88,0.50)");
         sym.setVariable("colorbad", "#ffffff");
         sym.setVariable("fondobad", "#f3716c");
         sym.setVariable("fontsize", "60px");
         sym.setVariable("fontFamily","cabin, 'Trebuchet MS', 'Myriad Pro', 'Gill Sans MT', Helvetica, sans-serif");
         sym.setVariable("fontStyle", "normal");
         sym.setVariable("fontweight", "bold");
         sym.setVariable("height", "90px");
         sym.setVariable("border-radius", "5px");
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         //botones
         sym.getSymbol("bt_validar").stop("normal");
         sym.getSymbol("bt_solucion").stop("down");
         sym.getSymbol("bt_reiniciar").stop("down");
         sym.getSymbol("bt_ayuda").stop("normal");
         sym.$("hotspot_validar").show();
         sym.$("hotspot_solucion").hide();
         sym.$("hotspot_reiniciar").hide();
         sym.$("hotspot_ayuda").show();
         
         //Llammar variables creation Complete
         var tipoactividad = sym.getVariable("tipoactividad");
         var largo = "110px";
         var color = sym.getVariable("colorini");
         var border = sym.getVariable("border");
         var tamano = sym.getVariable("fontsize");
         var fontweight = sym.getVariable("fontweight");
         var fondo = sym.getVariable("fondo");
         var altura = sym.getVariable("height");
         var borderRadius= sym.getVariable("border-radius");
         
         transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras 
         
         TotalInput = 1;
         
         // Agregar los input dinámicamente
         for (i=1 ; i<= TotalInput; i++){
         	var nombreElemento = 'Elemento_'+i;
         	nombreElemento = document.createElement(tipoactividad);
         	nombreElemento.id="seleccion_"+i;	 
         	nombreElemento.style.height= altura;
         	nombreElemento.style.border= border;
         	nombreElemento.style.color= color;
         	nombreElemento.style.background= fondo;
         	nombreElemento.style.fontSize= tamano;
         	nombreElemento.style.fontWeight= fontweight;
         	nombreElemento.style.textAlign="center";
         	nombreElemento.style.webkitBorderRadius=borderRadius;
         	nombreElemento.style.mozBorderRadius=borderRadius;
         	nombreElemento.style.borderRadius=borderRadius;
         	sym.$("Input_"+i).append(nombreElemento);
         }
         
         //RESPUESTAS -- CAMBIAR VALORES
         sym.setVariable("Respuesta_1", "6");
         /*	
         	Modifique el valor en pixels para el ancho de cada input según lo requiera
         */
         //seleccion_1.style.textTransform="uppercase";
         //seleccion_1.style.fontStyle="italic";
         seleccion_1.style.width= largo;
         
         //seleccion_1.style.fontStyle="italic";
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_validar}", "click", function(sym, e) {
         //Definición de variables
         var Total=0;
         
         var tipoactividad = sym.getVariable("tipoactividad");
         
         var colorok = sym.getVariable("colorok");
         var fondook = sym.getVariable("fondook");
         var colorbad = sym.getVariable("colorbad");
         var fondobad = sym.getVariable("fondobad");
         var wrong = '';
         
         for(i=1; i<=TotalInput; i++){
         	var y = (parseInt(sym.$("Input_"+i).css("top")) +0)+"px";
         	var x = (parseInt(sym.$("Input_"+i).css("left")) -25)+"px";
         	sym.$("Input_"+i).children(tipoactividad).each(function(){
         	if($(this).attr("id")=="seleccion_"+i){		
         		if(transformarTexto == true){
         			var ValorInput = $(this).val().toUpperCase();
         			var ValorTemp = sym.getVariable("Respuesta_"+i).toUpperCase(); 
         			//console.log('Input: '+ValorInput+'  -  Resp: '+ValorTemp);
         		}
         		else{
         			var ValorInput = $(this).val();
         			var ValorTemp = sym.getVariable("Respuesta_"+i);
         			//console.log('Input: '+ValorInput+'  -  Resp: '+ValorTemp);
         		}
         
         		if(ValorInput==ValorTemp){
         			$(this).css({color: colorok ,background: fondook});
         			//sym.$("ok"+i).css({top: y, left: x});
         			//sym.$("ok"+i).show();
         		}
         		else{
         			wrong = 1;
         			$(this).css({color: colorbad,background: fondobad});
         			//sym.$("bad"+i).css({top: y, left: x});
         			//sym.$("bad"+i).show();
         		}
         		$(this).attr('disabled','disabled');
         	}
         });
         }
         
         if (wrong == 1){
         	sym.$("resp_incorrecta").show();
         	//audio incorrecto
         	sym.$("error")[0].play();
         	//botones
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").show();
         	sym.$("hotspot_reiniciar").show();
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("normal");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         }
         else{
         	//mensaje respuesta correcta
         	sym.$("resp_correcta").show();
         	//audio correcto
         	sym.$("success")[0].play();
         	sym.$("bien")[0].play();
         
         	
         	//botones
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").hide();
         	sym.$("hotspot_reiniciar").show();
         }
         
         /*
         //Muestra las leyendas
         if(Total==TotalElementos){
         	//mensaje respuesta correcta
         	sym.$("resp_correcta").show();
         	//audio correcto
         	sym.$("success")[0].play();
         	//botones
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").hide();
         	sym.$("hotspot_reiniciar").show();
         	sym.setVariable("intentos", 0);
         	//sym.$("txt_Respuesta").html (Total + "/" + Punteo);
         
         
         }
         else{
         	var totalintentos = sym.getVariable("totalintentos");
         	if (intento < totalintentos) {
         	//mensaje respuesta incorrecta
         	sym.$("resp_incorrecta").show();
         	//audio incorrecto
         	sym.$("error")[0].play();
         	//botones
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").show();
         	sym.$("hotspot_reiniciar").show();
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("normal");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         	intento = intento + 1;
         	sym.setVariable("intentos", intento);
         	}
         	else {
         	//mensaje respuesta incorrecta
         	sym.$("resp_incorrecta").show();
         	//audio incorrecto
         	sym.$("error")[0].play();
         	//botones
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").show();
         	sym.$("hotspot_reiniciar").show();
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("normal");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         	//sym.$("txt_Respuesta").html (Total + "/" + Punteo);
         }
         }
         */

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_solucion}", "click", function(sym, e) {
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").hide();
         	sym.$("hotspot_reiniciar").show();
         	
         //Oculta las leyendas
         sym.$("resp_correcta").hide();
         sym.$("resp_incorrecta").hide();
         sym.$("comprobarRespuesta").hide();
         sym.$("Punteo").hide();
         
         for (var i=1; i<TotalInput; i++) {
               sym.$('ok'+i).hide();
         		sym.$('bad'+i).hide();
         }
         
         var colorok = sym.getVariable("colorok");
         var fondook = sym.getVariable("fondook");
         
         var tipoactividad = sym.getVariable("tipoactividad");
         
         for(i=1; i<=TotalInput; i++){
         	sym.$("Input_"+i).children(tipoactividad).each(function(){
         	if($(this).attr("id")=="seleccion_"+i){
         		var Resp = sym.getVariable("Respuesta_"+i);
         		$(this).val(Resp);
         		$(this).val().toUpperCase();
         		$(this).css({color: colorok ,background: fondook}
         		);
         	}
         	});
         }
         
         /*
         //Muestra las respuestas correctas
         sym.$("Input_01").children(tipoactividad).each(function(){
         	if($(this).attr("id")=="seleccion_01"){
         		$(this).val(Valor_01);
         		$(this).css({color: colorok ,background: fondook}
         		);
         	}
         });
         */

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_reiniciar}", "click", function(sym, e) {
         //botones
         	sym.getSymbol("bt_validar").stop("normal");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("down");
         	sym.$("hotspot_validar").show();
         	sym.$("hotspot_reiniciar").hide();
         	sym.$("hotspot_solucion").hide();  
         //Oculta las leyendas
         sym.$("resp_correcta").hide();
         sym.$("resp_incorrecta").hide();
         
         
         for (var i=1; i<=TotalInput; i++) {
               sym.$('ok'+i).hide();
         		sym.$('bad'+i).hide();
         }
         
         var colorini = sym.getVariable("colorini");
         var fondoini = sym.getVariable("fondo");
         var tipoactividad = sym.getVariable("tipoactividad");
         
         for(i=0; i<=TotalInput; i++){
         	sym.$("Input_"+i).children(tipoactividad).each(function(){
         	if($(this).attr("id")=="seleccion_"+i){
         		$(this).val("");
         		$(this).css({color: colorini,background: fondoini});
         		$(this).removeAttr('disabled');
         	}
         });
         }

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hotspot_ayuda}", "click", function(sym, e) {
         if (sym.$("help_input").is(":visible")) {
         	sym.$("help_input").hide();
         	sym.getSymbol("bt_ayuda").stop("normal");
         } else {
         	sym.$("help_input").show();
         	sym.getSymbol("bt_ayuda").stop("down");
         }
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'bt_next'
   (function(symbolName) {   
   
      

      

      

      

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
      });
      //Edge binding end

      

   })("bt_next");
   //Edge symbol end:'bt_next'

   //=========================================================
   
   //Edge symbol: 'bt_back'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         

      });
      //Edge binding end

      

      

      

      

      

      

   })("bt_back");
   //Edge symbol end:'bt_back'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'slide_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 18000, function(sym, e) {
         
         sym.playReverse();
         

      });
      //Edge binding end

   })("fondo_1");
   //Edge symbol end:'fondo_1'

   //=========================================================
   
   //Edge symbol: 'hot_spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         // introducir código aquí
         sym.play();

      });
      //Edge binding end

   })("hot_spot");
   //Edge symbol end:'hot_spot'

   //=========================================================
   
   //Edge symbol: 'fresa'
   (function(symbolName) {   
   
   })("fresa");
   //Edge symbol end:'fresa'

   //=========================================================
   
   //Edge symbol: 'limon'
   (function(symbolName) {   
   
      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         $(sym.lookupSelector("lemon_num")).html("");

      });
      //Edge binding end

   })("limon");
   //Edge symbol end:'limon'

   //=========================================================
   
   //Edge symbol: 'manzana'
   (function(symbolName) {   
   
   })("manzana");
   //Edge symbol end:'manzana'

   //=========================================================
   
   //Edge symbol: 'naranja'
   (function(symbolName) {   
   
   })("naranja");
   //Edge symbol end:'naranja'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         //elimina el mute del audio
         	sym.getComposition().getStage().$(soundId)[0].muted = false;
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'tor_caminando'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7000, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.play("loop");

      });
      //Edge binding end

   })("tor_caminando");
   //Edge symbol end:'tor_caminando'

   //=========================================================
   
   //Edge symbol: 'tabla'
   (function(symbolName) {   
   
   })("tabla");
   //Edge symbol end:'tabla'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

})(jQuery, AdobeEdge, "EDGE-5531445");